Bug 36460 - System setup should warn if RAM is insufficient.
System setup should warn if RAM is insufficient.
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Setup wizard
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Florian Best
Drees Dormann
:
Depends on:
Blocks: 50448
  Show dependency treegraph
 
Reported: 2014-11-05 18:13 CET by Arvid Requate
Modified: 2019-11-05 13:45 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Screenshot (53.90 KB, image/png)
2015-03-13 12:33 CET, Florian Best
Details
Screenshot2 (81.57 KB, image/png)
2015-03-13 12:46 CET, Florian Best
Details
Screenshot (17.01 KB, image/png)
2015-03-18 13:24 CET, Florian Best
Details
Warning icon (1.07 KB, image/svg+xml)
2015-03-23 13:29 CET, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2014-11-05 18:13:22 CET
Feedback from a beta tester of UCS 4.0 RC3 indicates that

* 384MB RAM are insufficient for using UMC.

The system setup should issue some kind of warning about this.
Comment 1 Stefan Gohmann univentionstaff 2015-02-10 11:24:54 CET
Happened again, I've installed UCS with a mailserver and I had only 512 MB. The installation was not successful.
Comment 2 Florian Best univentionstaff 2015-03-13 12:33:23 CET
Created attachment 6759 [details]
Screenshot

Attached a screenshot. Please give your opinions. Would you like the popup immediately? Or when visiting the summary. It could also be added as text to the summary.
Comment 3 Florian Best univentionstaff 2015-03-13 12:46:26 CET
Created attachment 6760 [details]
Screenshot2
Comment 4 Erik Damrose univentionstaff 2015-03-13 12:59:27 CET
(In reply to Florian Best from comment #2)
> Would you like the popup immediately? Or when visiting the summary. It could 
> also be added as text to the summary.

I think a dedicated popup is the best solution. It should explicitly state that setup may fail of the user chooses to continue. Bonus: It would be great if we add a "shutdown" button here, to give the user the possibility to exit system setup in a controlled way.
Comment 5 Florian Best univentionstaff 2015-03-18 13:10:21 CET
I am using 512MB as default value as our quick start guide suggests this:
http://docs.univention.de/quickstart-en-4.0.html

It is configurable via the UCR variable 'system/setup/boot/minimal_memory' which can be set e.g. in appliance scenarios to the value of MinPhysicalRAM from the ini file. Even if the value is lower than that 512MB is used as the absolute minimum.

Should I raise the value from 512 to a higher value as the installation will fail with a mailserver? IMHO we should touch the release notes for that value.

(In reply to Erik Damrose from comment #4)
> I think a dedicated popup is the best solution. It should explicitly state
> that setup may fail of the user chooses to continue. Bonus: It would be
> great if we add a "shutdown" button here, to give the user the possibility
> to exit system setup in a controlled way.
In the first step no shutdown button is added. The implementation of such a button wouldn't be hard (but ACL settings may be).
Comment 6 Florian Best univentionstaff 2015-03-18 13:24:10 CET
Created attachment 6771 [details]
Screenshot

better?
Comment 7 Florian Best univentionstaff 2015-03-19 11:01:21 CET
The message is now displayed when entering the summary page.

Fix: svn r59221, r59230
YAML: 2015-03-09-univention-system-setup.yaml
Comment 8 Alexander Kläser univentionstaff 2015-03-23 13:29:05 CET
Created attachment 6776 [details]
Warning icon

Stylwise, it would be good not to use (obsolete) icons from the oxygen icon set. I attach an alternative in a correct style fitting also the colour scheme.
Comment 9 Drees Dormann univentionstaff 2015-03-23 14:32:39 CET
Message is displayed: OK

text: "... kaputten oder aufgehängten System führen..."
>> maybe better: ".. kaputten oder nicht reagierenden System..."

Yaml: line 12 ...too few
Comment 10 Florian Best univentionstaff 2015-03-23 15:01:05 CET
(In reply to Alexander Kläser from comment #8)
> Created attachment 6776 [details]
> Warning icon
> 
> Stylwise, it would be good not to use (obsolete) icons from the oxygen icon
> set. I attach an alternative in a correct style fitting also the colour
> scheme.
Adapted in UDM (AD-connector warning) and system-setup.

(In reply to Drees Dormann from comment #9)
> text: "... kaputten oder aufgehängten System führen..."
> >> maybe better: ".. kaputten oder nicht reagierenden System..."
yes, good suggestion!

> Yaml: line 12 ...too few
fixed.
Comment 11 Alexander Kläser univentionstaff 2015-03-24 09:27:47 CET
(In reply to Drees Dormann from comment #9)
> Message is displayed: OK
> 
> text: "... kaputten oder aufgehängten System führen..."
> >> maybe better: ".. kaputten oder nicht reagierenden System..."

"kaputt" seems to be too much colloquial style, IMHO. I'd suggest "... kann zu nicht funktionsfähigen oder nicht mehr reagierenden Sytemen...".
Comment 12 Florian Best univentionstaff 2015-03-24 13:20:53 CET
Text changes in svn r59346. Package currently builds.
Comment 13 Drees Dormann univentionstaff 2015-03-24 14:15:29 CET
Text: OK
Yaml: OK
Comment 14 Janek Walkenhorst univentionstaff 2015-03-25 16:40:53 CET
<http://errata.univention.de/ucs/4.0/141.html>
Comment 15 Janek Walkenhorst univentionstaff 2015-03-25 16:44:26 CET
<http://errata.univention.de/ucs/4.0/116.html>